| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
CommonDiscriminatorMember Class Reference
eProsima Fast DDS API Reference » DDS Public API » DDS TypeObject API

This class represents the structure CommonDiscriminatorMember defined by the user in the IDL file. More...

`#include <dds_xtypes_typeobject.hpp>`

## Public Member Functions

eProsima_user_DllExport | CommonDiscriminatorMember ()
| Default constructor.
eProsima_user_DllExport | ~CommonDiscriminatorMember ()
| Default destructor.
eProsima_user_DllExport | CommonDiscriminatorMember (const CommonDiscriminatorMember &x)
| Copy constructor.
eProsima_user_DllExport | CommonDiscriminatorMember (CommonDiscriminatorMember &&x) noexcept
| Move constructor.
eProsima_user_DllExport CommonDiscriminatorMember & | operator= (const CommonDiscriminatorMember &x)
| Copy assignment.
eProsima_user_DllExport CommonDiscriminatorMember & | operator= (CommonDiscriminatorMember &&x) noexcept
| Move assignment.
eProsima_user_DllExport bool | operator== (const CommonDiscriminatorMember &x) const
| Comparison operator.
eProsima_user_DllExport bool | operator!= (const CommonDiscriminatorMember &x) const
| Comparison operator.
eProsima_user_DllExport void | member_flags (const UnionDiscriminatorFlag &_member_flags)
| This function copies the value in member member_flags.
eProsima_user_DllExport void | member_flags (UnionDiscriminatorFlag &&_member_flags)
| This function moves the value in member member_flags.
eProsima_user_DllExport const UnionDiscriminatorFlag & | member_flags () const
| This function returns a constant reference to member member_flags.
eProsima_user_DllExport UnionDiscriminatorFlag & | member_flags ()
| This function returns a reference to member member_flags.
eProsima_user_DllExport void | type_id (const TypeIdentifier &_type_id)
| This function copies the value in member type_id.
eProsima_user_DllExport void | type_id (TypeIdentifier &&_type_id)
| This function moves the value in member type_id.
eProsima_user_DllExport const TypeIdentifier & | type_id () const
| This function returns a constant reference to member type_id.
eProsima_user_DllExport TypeIdentifier & | type_id ()
| This function returns a reference to member type_id.

## Detailed Description

This class represents the structure CommonDiscriminatorMember defined by the user in the IDL file.

## Constructor & Destructor Documentation

## ◆ CommonDiscriminatorMember() [1/3]

eProsima_user_DllExport CommonDiscriminatorMember | ( |  | ) |

inline

Default constructor.

## ◆ ~CommonDiscriminatorMember()

eProsima_user_DllExport ~CommonDiscriminatorMember | ( |  | ) |

inline

Default destructor.

## ◆ CommonDiscriminatorMember() [2/3]

eProsima_user_DllExport CommonDiscriminatorMember | ( | const CommonDiscriminatorMember & | x | ) |

inline

Copy constructor.

Parameters

  x | Reference to the object CommonDiscriminatorMember that will be copied.

## ◆ CommonDiscriminatorMember() [3/3]

eProsima_user_DllExport CommonDiscriminatorMember | ( | CommonDiscriminatorMember && | x | ) |

inline noexcept

Move constructor.

Parameters

  x | Reference to the object CommonDiscriminatorMember that will be copied.

## Member Function Documentation

## ◆ member_flags() [1/4]

eProsima_user_DllExport UnionDiscriminatorFlag & member_flags | ( |  | ) |

inline

This function returns a reference to member member_flags.

Returns
  Reference to member member_flags

## ◆ member_flags() [2/4]

eProsima_user_DllExport const UnionDiscriminatorFlag & member_flags | ( |  | ) | const

inline

This function returns a constant reference to member member_flags.

Returns
  Constant reference to member member_flags

## ◆ member_flags() [3/4]

eProsima_user_DllExport void member_flags | ( | const UnionDiscriminatorFlag & | _member_flags | ) |

inline

This function copies the value in member member_flags.

Parameters

  _member_flags | New value to be copied in member member_flags

## ◆ member_flags() [4/4]

eProsima_user_DllExport void member_flags | ( | UnionDiscriminatorFlag && | _member_flags | ) |

inline

This function moves the value in member member_flags.

Parameters

  _member_flags | New value to be moved in member member_flags

## ◆ operator!=()

eProsima_user_DllExport bool operator!= | ( | const CommonDiscriminatorMember & | x | ) | const

inline

Comparison operator.

Parameters

  x | CommonDiscriminatorMember object to compare.

## ◆ operator=() [1/2]

eProsima_user_DllExport CommonDiscriminatorMember & operator= | ( | CommonDiscriminatorMember && | x | ) |

inline noexcept

Move assignment.

Parameters

  x | Reference to the object CommonDiscriminatorMember that will be copied.

## ◆ operator=() [2/2]

eProsima_user_DllExport CommonDiscriminatorMember & operator= | ( | const CommonDiscriminatorMember & | x | ) |

inline

Copy assignment.

Parameters

  x | Reference to the object CommonDiscriminatorMember that will be copied.

## ◆ operator==()

eProsima_user_DllExport bool operator== | ( | const CommonDiscriminatorMember & | x | ) | const

inline

Comparison operator.

Parameters

  x | CommonDiscriminatorMember object to compare.

## ◆ type_id() [1/4]

eProsima_user_DllExport TypeIdentifier & type_id | ( |  | ) |

inline

This function returns a reference to member type_id.

Returns
  Reference to member type_id

## ◆ type_id() [2/4]

eProsima_user_DllExport const TypeIdentifier & type_id | ( |  | ) | const

inline

This function returns a constant reference to member type_id.

Returns
  Constant reference to member type_id

## ◆ type_id() [3/4]

eProsima_user_DllExport void type_id | ( | const TypeIdentifier & | _type_id | ) |

inline

This function copies the value in member type_id.

Parameters

  _type_id | New value to be copied in member type_id

## ◆ type_id() [4/4]

eProsima_user_DllExport void type_id | ( | TypeIdentifier && | _type_id | ) |

inline

This function moves the value in member type_id.

Parameters

  _type_id | New value to be moved in member type_id

The documentation for this class was generated from the following file:

- include/fastdds/dds/xtypes/type_representation/detail/dds_xtypes_typeobject.hpp